Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] libtool compile error
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2010-02-08 16:41:21


You shouldn't need to do this in a tarball build.

Did you run autogen manually, or did you just untar the OMPI tarball and just configure / make?

On Feb 6, 2010, at 10:49 AM, Caciano Machado wrote:

> Hi,
>
> You can solve this installing libtool 2.2.6b and running autogen.sh.
>
> Regards,
> Caciano Machado
>
> On Thu, Feb 4, 2010 at 8:25 PM, Peter C. Lichtner <lichtner_at_[hidden]> wrote:
> > I'm trying to compile openmpi-1.4.1 on MacOSX 10.5.8 using Absoft Fortran
> > 90 11.0 and gcc --version i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple
> > Inc. build 5493). I get the following error:
> >
> > make
> > ...
> >
> > Making all in mca/io/romio
> > Making all in romio
> > Making all in include
> > make[4]: Nothing to be done for `all'.
> > Making all in adio
> > Making all in common
> > /bin/sh ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I.
> > -I../../adio/include -DOMPI_BUILDING=1
> > -I/Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/../../../../..
> > -I/Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/../../../../../opal/include
> > -I../../../../../../../opal/include -I../../../../../../../ompi/include
> > -I/Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/include
> > -I/Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/adio/include
> > -D_REENTRANT -O3 -DNDEBUG -finline-functions -fno-strict-aliasing
> > -DHAVE_ROMIOCONF_H -DHAVE_ROMIOCONF_H -I../../include -MT ad_aggregate.lo
> > -MD -MP -MF .deps/ad_aggregate.Tpo -c -o ad_aggregate.lo ad_aggregate.c
> > ../../libtool: line 460: CDPATH: command not found
> > /Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/libtool: line
> > 460: CDPATH: command not found
> > /Users/lichtner/petsc/openmpi-1.4.1/ompi/mca/io/romio/romio/libtool: line
> > 1138: func_opt_split: command not found
> > libtool: Version mismatch error. This is libtool 2.2.6b, but the
> > libtool: definition of this LT_INIT comes from an older release.
> > libtool: You should recreate aclocal.m4 with macros from libtool 2.2.6b
> > libtool: and run autoconf again.
> > make[5]: *** [ad_aggregate.lo] Error 63
> > make[4]: *** [all-recursive] Error 1
> > make[3]: *** [all-recursive] Error 1
> > make[2]: *** [all-recursive] Error 1
> > make[1]: *** [all-recursive] Error 1
> > make: *** [all-recursive] Error 1
> >
> > Any help appreciated.
> > ...Peter
> >
> >
> > _______________________________________________
> > users mailing list
> > users_at_[hidden]
> > http://www.open-mpi.org/mailman/listinfo.cgi/users
> >
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/